mcrypt_enc_is_block_mode
mcrypt_encrypt
Mcrypt Functions
PHP Manual

# mcrypt_enc_self_test

Runs a self test on the opened module

### Description

int mcrypt_enc_self_test ( resource `$td` )

This function runs the self test on the algorithm specified by the descriptor `td`.

### Parameters

`td`

  The encryption descriptor.

### Return Values

If the self test succeeds it returns `FALSE`. In case of an error, it returns `TRUE`.